<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record id="report_sale_order_example_xlsx" model="ir.actions.report">
            <field name="name">Example ODT to PDF</field>
            <field name="model">sale.order</field>
            <field name="report_name">ns_report_example</field>
            <field name="report_type">controller</field>
            <field name="output_file">pdf</field>
            <field name="modules_name">ns_report_example</field>
            <field name="rp_path">templates/sale_order_example1.odt</field>
            <field name="binding_type">report</field>
            <field name="binding_model_id" ref="sale.model_sale_order"/>
            <field name="print_report_name">Example ODT to PDF</field>
        </record>

        <record id="report_sale_order_example1_xlsx" model="ir.actions.report">
            <field name="name">Example ODT to Word</field>
            <field name="model">sale.order</field>
            <field name="report_name">ns_report_example1</field>
            <field name="report_type">controller</field>
            <field name="output_file">docx</field>
            <field name="modules_name">ns_report_example</field>
            <field name="rp_path">templates/sale_order_example1.odt</field>
            <field name="binding_type">report</field>
            <field name="binding_model_id" ref="sale.model_sale_order"/>
            <field name="print_report_name">Example 1 ODT to Word</field>
        </record>

        <record id="report_sale_order_example2_xlsx" model="ir.actions.report">
            <field name="name">Example ODT to Word Custom Code</field>
            <field name="model">sale.order</field>
            <field name="report_name">ns_report_example2</field>
            <field name="report_type">controller</field>
            <field name="output_file">docx</field>
            <field name="modules_name">ns_report_example</field>
            <field name="rp_path">templates/sale_order_example_custom_code.odt</field>
            <field name="binding_type">report</field>
            <field name="binding_model_id" ref="sale.model_sale_order"/>
            <field name="print_report_name">Example ODT to Word Custom Code</field>
            <field name="python_code">
order_lines = self.order_line
result = {'lines': [], 'total': {}}
for line in order_lines:
    result.get('lines').append({
        'name': line.product_id.name,
        'qty': ns_fm(line.product_uom_qty),
        'price_unit': ns_fm(line.price_unit),
        'subtotal': ns_fm(line.price_subtotal)
    })
result.get('total').update({'amount_total': ns_fm(self.amount_total)})
            </field>
        </record>

        <record id="report_sale_order_example3_xlsx" model="ir.actions.report">
            <field name="name">Example ODS to Excel</field>
            <field name="model">sale.order</field>
            <field name="report_name">ns_report_example3</field>
            <field name="report_type">controller</field>
            <field name="output_file">xlsx</field>
            <field name="modules_name">ns_report_example</field>
            <field name="rp_path">templates/sale_order_example_beauty_2.ods</field>
            <field name="binding_type">report</field>
            <field name="binding_model_id" ref="sale.model_sale_order"/>
            <field name="print_report_name">Example ODS to Excel</field>
            <field name="python_code">
order_lines = self.order_line
result = {'lines': [], 'total': {}}
for line in order_lines:
    result.get('lines').append({
        'name': line.product_id.name,
        'qty': ns_fm(line.product_uom_qty),
        'price_unit': ns_fm(line.price_unit),
        'subtotal': ns_fm(line.price_subtotal)
    })
result.get('total').update({'amount_total': ns_fm(self.amount_total)})
            </field>
        </record>

    </data>
</odoo>
